### Method

# FwupdPlugin Device get_update_request_id

since: 1.8.6

#### Declaration [src]

    const gchar*
    fu_device_get_update_request_id (
      FuDevice* self
    )

#### Description [src]

Gets the update request ID as specified from `LVFS::UpdateRequestId`.

Available since: 1.8.6

#### Return value

Type: `const gchar*`

A string value, or `NULL` if never set.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.